Endpoint Protection clients do not update from single group update provider on different subnet

book

Article ID: 184675

calendar_today

Updated On:

Products

Endpoint Protection

Issue/Introduction

Following an update to endpoint protection 14.2 MP1 clients are unable to update from a single group update (GUP) provider in a different subnet.

"GUProxy: Failed to find a suitable GUP" in debug.log

Cause

GUPList was processed without checking if the GUP is enabled or not.

Environment

Site with multiple subnets configured to use a single GUP.

Resolution

Added code to verify if GUP is enabled before processing GUPList (SylinkCommunicator.cpp and SmcContentProvider.cpp)

This issue is fixed in Symantec Endpoint Protection 14.2 RU1 MP1. For information on how to obtain the latest build of Symantec Endpoint Protection, see Download the latest version of Symantec Endpoint Protection.